!=======================================================================

SUBROUTINE  ANEL_FUNC

  USE CONTROL_DATA, ONLY:                                              &
                          MZ, NRFREQ
  USE AUXIL       , ONLY:                                              &
                          OTA, OTB
  USE WAVEFIELD   , ONLY:                                              &
                          ED, X

!-----------------------------------------------------------------------

  IMPLICIT NONE

  INTEGER :: J, L

!-----------------------------------------------------------------------


  DO J = 1, NRFREQ

    DO  L = 0, MZ-1

      X (L,J) = OTA(J) * ED(L)  +  OTB(J) * X (L,J)

    END DO
    
  END DO


END  SUBROUTINE  ANEL_FUNC
