!=======================================================================

SUBROUTINE  OPEN_SR_FILE

  USE PRECISION   , ONLY: WP
  USE AUXIL       , ONLY: SOURTF, NSTFS

!-----------------------------------------------------------------------

  IMPLICIT NONE
  
  REAL(WP)      :: DUMMY

  INTEGER       :: J, IOS

!-----------------------------------------------------------------------

  OPEN  ( 10, FILE = 'STF.DAT', STATUS='UNKNOWN' )
  
  NSTFS = 0
  
  DO
    READ (10,*, IOSTAT = IOS ) DUMMY
    IF ( IOS == -1 ) EXIT
    NSTFS = NSTFS + 1
  END DO
  
  ALLOCATE( SOURTF (NSTFS) )
  REWIND(10)
  DO J = 1, NSTFS
    READ(10,*) SOURTF (J)
  END DO
  CLOSE(10)
  

END SUBROUTINE  OPEN_SR_FILE
