MODULE MOD_ATTEN

  USE NRTYPE    , ONLY: WP

  IMPLICIT NONE

  INTEGER                     :: I2NRFREQ1
  
  REAL   (WP), DIMENSION(:,:), ALLOCATABLE :: FJJ, FJK
  COMPLEX(WP), DIMENSION(:,:), ALLOCATABLE :: CF
  REAL   (WP), DIMENSION(:)  , ALLOCATABLE :: Y, B, P, FRJ, PFP21, PF21
  REAL   (WP), DIMENSION(:,:), ALLOCATABLE :: A
  REAL   (WP), DIMENSION(:)  , ALLOCATABLE :: Q, PLO, FRK

  INTERFACE

    SUBROUTINE     QYLSM(QQ,YY,NRFREQ)
      USE NRTYPE   , ONLY: WP
      IMPLICIT NONE
      INTEGER                , INTENT(IN   ) :: NRFREQ
      REAL(WP), DIMENSION (1:  NRFREQ  ), INTENT(OUT) :: YY
      REAL(WP), DIMENSION (1:2*NRFREQ-1), INTENT(INOUT) :: QQ
    END SUBROUTINE QYLSM

  END INTERFACE

END MODULE MOD_ATTEN