!-----------------------------------------------------------------------
! subroutine calculates some expresions needed in numerical integration
!-----------------------------------------------------------------------
SUBROUTINE PREPARE_INT
  USE MOD_MODEL      , ONLY: H
  USE MOD_ATTEN      , ONLY: I2NRFREQ1
  USE MOD_INTEGRATION, ONLY: PTS, PTS2,                                &
                              M1_FINE, RHO_FINE,                       &
                             YM1_FINE


!----------------------------------------------------------------------

  IMPLICIT NONE

!----------------------------------------------------------------------

  PTS2 = PTS/2

  ALLOCATE (   M1_FINE ( PTS+PTS2            ),                        &
              YM1_FINE ( PTS+PTS2, I2NRFREQ1 ),                        &
              RHO_FINE ( PTS+PTS2            )    )

END SUBROUTINE PREPARE_INT
