SUBROUTINE WRITE_PARAM

  USE MOD_PARAMETERIZATION, ONLY: CELLS, CELLSY
  USE MOD_MODEL           , ONLY: MZ, KEY_Q
  USE MOD_FILES           , ONLY: MO_FILE_NAME, Q_FILE_NAME

!----------------------------------------------------------------------

  IMPLICIT NONE

  INTEGER :: JM1, IOLENINT, L

!----------------------------------------------------------------------

  OPEN ( 14, FILE = MO_FILE_NAME, FORM = 'UNFORMATTED', STATUS='NEW' )

  OPEN ( 15, FILE =  Q_FILE_NAME, FORM = 'UNFORMATTED', STATUS='NEW' )

  WRITE( 14 ) ( CELLS(L,1), CELLS(L,2),           L = 0, MZ )
  
  CLOSE(14)
  
  IF ( KEY_Q ) THEN

    WRITE ( 15 ) ( CELLSY(L,1,:),  L = 0, MZ )

  ELSE

    CELLSY = 0.
    WRITE ( 15 ) ( CELLSY(L,1,:),  L = 0, MZ )

  END IF

  CLOSE(15)

END SUBROUTINE WRITE_PARAM
